--- title: "Delete Malware Archive File" slug: "delete-malware-archive-file-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/delete-malware-archive-file-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Malware Archive File This URL deletes the malware archived files. ### Resource URL PUT /malwarearchive?fileHash= Query Parameter: ?fileHash= - Hash value of the file name > [!NOTE] > Note > > If "fileHash" is not defined, all the archived files will be deleted ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `fileHash` | Hash value of the file name | String | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Status returned by deletion | Number | ### Example **Request** PUT [https:///sdkapi/malwarearchive?filehash=0bea3f79a36b1f67b2ce0f595524c77c](https://<NSM_IP>/sdkapi/malwarearchive?filehash=0bea3f79a36b1f67b2ce0f595524c77c) **Response** ``` { "status":1 } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error | | 2 | 400 | 3401 | Invalid file hash value | | 3 | 400 | 3402 | No file to delete |